Subject: The meaning of rev

From: Krzysztof Maczyński <[email-masked]>
Date: Wed, 10 Feb 2010 22:01:11 +0100

Dear All,

Two interpretations of rev wrt. rel have been given and exegeses of the HTML 4.01 Rec to support them. Since this is relevant to the Web Linking I-D currently in last call, I feel this is the right time to offer my remark that one is much more useful than the other. Mathematically there's no difference, because a binary relation has a unique inverse which consists of ordered pairs with their items swapped. The difference is however in the site at which the link is expressed. A link of the kind covered by this I-D has a starting resource and an ending resource. The link may be expressed at (or along with, in case of placement in a protocol header) one or the other, or externally (e.g. in a linkbase). The latter is out of scope for Web Linking. So we're left with 4 possibilities. Let's consider them on a concrete example of the relation next. Its inverse is prev (hadn't it a predefined name, some generic reversal facility could be employed, like OWL's inverseOf, also not in scope for Web Linking). We are an author of resource A and we want to have a link between resources A and B. (We cannot or don't want to alter B or headers served with it.) To say that B is A's next, use rel and next. To say that B is A's prev, use rel and prev. To say A is B's next, use rev and next. To say A is B's prev, use rev and prev. The latter two (whose characteristic is that B is the starting resource) would be unavailable with the other interpretation of rev. Does everybody agree? Could we settle this issue once and for good?

Best regards,

Krzysztof Maczyński
Invited Expert, HTML WG